Defines | Variables

# lua/lopcodes.c File Reference

`#include "lopcodes.h"`
Include dependency graph for lopcodes.c:

Go to the source code of this file.

## Defines
#define | lopcodes_c
#define | LUA_CORE
#define | opmode(t, a, b, c, m) (((t)<<7) | ((a)<<6) | ((b)<<4) | ((c)<<2) | (m))
## Variables
const char *const | luaP_opnames [(((int)(OP_VARARG))+1)+1]
const lu_byte | luaP_opmodes [(((int)(OP_VARARG))+1)]

## Define Documentation

#define lopcodes_c

Definition at line 7 of file lopcodes.c.

#define LUA_CORE

Definition at line 8 of file lopcodes.c.

#define opmode | ( |  | t,
|  |  | a,
|  |  | b,
|  |  | c,
|  |  | m
| ) |  | (((t)<<7) | ((a)<<6) | ((b)<<4) | ((c)<<2) | (m))

Definition at line 59 of file lopcodes.c.

## Variable Documentation

const lu_byte luaP_opmodes[(((int)(OP_VARARG))+1)]

Definition at line 61 of file lopcodes.c.

const char* const luaP_opnames[(((int)(OP_VARARG))+1)+1]

Definition at line 16 of file lopcodes.c.